Loading...
Searching...
No Matches
websocketpp::utility::my_equal< charT > Struct Template Reference

Helper functor for case insensitive find. More...

`#include <utilities.hpp>`

## Public Member Functions

| my_equal (std::locale const &loc)
| Construct the functor with the given locale.
bool | operator() (charT ch1, charT ch2)
| Perform a case insensitive comparison.

## Detailed Description

template<typename charT>
struct websocketpp::utility::my_equal< charT >

Helper functor for case insensitive find.

Based on code from http://stackoverflow.com/questions/3152241/case-insensitive-stdstring-find

templated version of my_equal so it could work with both char and wchar_t

Definition at line 49 of file utilities.hpp.

## Constructor & Destructor Documentation

## my_equal()

template<typename charT>

websocketpp::utility::my_equal< charT >::my_equal | ( | std::locale const & | loc | ) |

inline

Construct the functor with the given locale.

Parameters

  [in] | loc | The locale to use for determining the case of values

Definition at line 54 of file utilities.hpp.

## Member Function Documentation

## operator()()

template<typename charT>

bool websocketpp::utility::my_equal< charT >::operator() | ( | charT | ch1,
|  | charT | ch2 )

inline

Perform a case insensitive comparison.

Parameters

  ch1 | The first value to compare
  ch2 | The second value to compare

Returns
  Whether or not the two values are equal when both are converted to uppercase using the given locale.

Definition at line 63 of file utilities.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/utilities.hpp